<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>FileTxt.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">Persistence</a> &gt; <span class="el_source">FileTxt.java</span></div><h1>FileTxt.java</h1><pre class="source lang-java linenums">package Persistence;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.List;

import Entities.CDR;
import Entities.Phone_Number;
import java.io.FileInputStream;
<span class="fc" id="L12">public class FileTxt implements IDataPersistence {</span>
<span class="fc" id="L13">	private static String FILEPATHCDRSSERIALIZATED=System.getProperty(&quot;user.dir&quot;).toString() + &quot;\\CDRSerializated.txt&quot;;</span>
<span class="fc" id="L14">	private static String FILEPATHPHONENUMBERSSERIALLIZATED=System.getProperty(&quot;user.dir&quot;).toString() + &quot;\\PhoneNumbersSerializated.txt&quot;;</span>
<span class="fc" id="L15">	private static String FILEPHONENUMBERSNAME = &quot;PhoneNumbersSerializated.txt&quot;;</span>
<span class="fc" id="L16">	private static String FILECDRSNAME = &quot;CDRSerializated.txt&quot;;</span>
	
	@Override
	public void saveDataCDRs(List&lt;CDR&gt; CDRs) {
<span class="fc" id="L20">		List&lt;CDR&gt; listCDRsFromFile = loadDataCDRs();</span>
<span class="fc" id="L21">		try (FileOutputStream file = new FileOutputStream(FILECDRSNAME);</span>
<span class="fc" id="L22">			ObjectOutputStream out = new ObjectOutputStream(file);) {	</span>
<span class="fc" id="L23">			out.writeObject(CDRs);</span>
<span class="fc" id="L24">			out.close();</span>
<span class="fc" id="L25">			file.close();</span>
<span class="nc" id="L26">		}catch (Exception ex) {</span>
<span class="nc" id="L27">			ex.getMessage();</span>
		}
<span class="fc" id="L29">	}</span>

	@Override
	public void setUrlOrDirectoryFile(String newUrl) {
<span class="fc" id="L33">		FILEPATHCDRSSERIALIZATED = newUrl;</span>
<span class="fc" id="L34">		FILEPATHPHONENUMBERSSERIALLIZATED = newUrl;</span>
<span class="fc" id="L35">		FILEPHONENUMBERSNAME = newUrl;</span>
<span class="fc" id="L36">		FILECDRSNAME = newUrl;</span>
<span class="fc" id="L37">	}</span>
	
	@Override
	public List&lt;CDR&gt; loadDataCDRs() {
<span class="fc" id="L41">	    FileTxt objectIO = new FileTxt();</span>
<span class="fc" id="L42">        List&lt;CDR&gt; CDRsLoaded = (List&lt;CDR&gt;) objectIO.ReadObjectFromFile(FILEPATHCDRSSERIALIZATED);</span>
<span class="fc" id="L43">		return CDRsLoaded;</span>
	}

	@Override
	public List&lt;Phone_Number&gt; loadDataPhoneNumbers() {
<span class="fc" id="L48">	    FileTxt objectIO = new FileTxt();</span>
<span class="fc" id="L49">        List&lt;Phone_Number&gt; ListPhoneNumber = (List&lt;Phone_Number&gt;) objectIO.ReadObjectFromFile(FILEPATHPHONENUMBERSSERIALLIZATED);</span>
<span class="fc" id="L50">		return ListPhoneNumber;</span>
	}
	
    private Object ReadObjectFromFile(String filepath) {
<span class="fc" id="L54">        try (FileInputStream fileIn = new FileInputStream(filepath);</span>
<span class="fc" id="L55">             ObjectInputStream objectIn = new ObjectInputStream(fileIn);){</span>
<span class="fc" id="L56">        	Object obj = objectIn.readObject();</span>
<span class="fc" id="L57">            objectIn.close();</span>
<span class="fc" id="L58">            return obj;</span>
<span class="nc" id="L59">        } catch (Exception ex) {</span>
<span class="nc" id="L60">            return null;</span>
        }
    }

	@Override
	public void saveDataPhoneNumbers(List&lt;Phone_Number&gt; ListPhoneNumbers) {
<span class="fc" id="L66">		try (FileOutputStream file = new FileOutputStream(FILEPHONENUMBERSNAME);</span>
<span class="fc" id="L67">			ObjectOutputStream out = new ObjectOutputStream(file);){</span>
<span class="fc" id="L68">			out.writeObject(ListPhoneNumbers);</span>
<span class="fc" id="L69">			out.close();</span>
<span class="fc" id="L70">			file.close();</span>
<span class="nc" id="L71">		} catch (IOException ex) {</span>
<span class="nc" id="L72">			ex.getMessage();</span>
		}
<span class="fc" id="L74">	}</span>

	@Override
	public String getTypePersistence() {
<span class="fc" id="L78">		return &quot;SERIALIZATED_PERSISTENCE&quot;;</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>